pro IRIS_SyntoolAddKeywords, header, OBSList, FRMList, FDBList, CRSList, SpecData, $
    type, currentFRM, currentFDB, currentCRS, $
    nrOBSrepeats, nrFRM, nrFRMrepeats, nrFDB, $
    time, pzt, $
    sim1, sim2, sim3, sim4
    
  ;adds keywords to fits-files created by syntool.pro
  ;should correspond to IRIS fits-files level 1
    
  fxaddpar, header, 'OBSREPTO', OBSList.Repeat_Obs, 'OBS List Repeats'
  fxaddpar, header, 'OBSREPNR', nrOBSrepeats+1, 'OBS List Repeat Count'
  fxaddpar, header, 'OBSENTTO', OBSList.NumEntries, 'OBS List Number of Entries'
  fxaddpar, header, 'OBSENTNR', nrFRM+1, 'OBS List Entry Count'
  fxaddpar, header, 'FRMREPTO', (*(OBSList).Repeat_FRM)[nrFRM], 'FRM List Repeats'
  fxaddpar, header, 'FRMREPNR', nrFRMrepeats+1, 'FRM List Repeat Count'
  fxaddpar, header, 'FRMENTTO', FRMList[currentFRM].NumEntries, 'FRM List Number of Entries'
  fxaddpar, header, 'FRMENTNR', nrFDB+1, 'FRM List Entry Count'
  
  fxaddpar, header, 'OBSID', OBSList.ID, 'OBS List ID'
  fxaddpar, header, 'FRMID', FRMList[currentFRM].ID, 'FRM List ID'
  fxaddpar, header, 'FDBID', FDBList[currentFDB].ID, 'FDB List ID'
  fxaddpar, header, 'CRSID', CRSList[currentCRS].ID, 'CRS List ID'
  
  fxaddpar, header, 'TIME', time, 'Time [s]'
  fxaddpar, header, 'PZTX', pzt[0], 'PZT X [arcsec]'
  fxaddpar, header, 'PZTY', pzt[1], 'PZT Y [arcsec]'
  case type of
    0: typetext='SJI'
    1: typetext='NUV'
    2: typetext='FUV'
  endcase
  fxaddpar, header, 'TYPE', typetext
  
  fxaddpar, header, 'FW', (*(FRMList[currentFRM]).FW)[nrFDB], 'Filterwheel Position'
  fxaddpar, header, 'SUMSPEC', CRSList[currentCRS].Spectral, 'Spectral Sum'
  fxaddpar, header, 'SUMSPAT', CRSList[currentCRS].Spatial, 'Spatial Sum'
  fxaddpar, header, 'EXPDURAT', FDBList[currentFDB].Exp_Duration, 'Exposure Duration'
  fxaddpar, header, 'EXPTYPE', FDBList[currentFDB].Exp_Type, 'Exposure Type'
  fxaddpar, header, 'EXPMAX', FDBList[currentFDB].Exp_Max, 'Max. Exposure'
  fxaddpar, header, 'EXPMIN', FDBList[currentFDB].Exp_Min, 'Min. Exposure'
  fxaddpar, header, 'COMPRN', FDBList[currentFDB].CompN, 'Compression N'
  fxaddpar, header, 'COMPRK', FDBList[currentFDB].CompK, 'Compression K'
  fxaddpar, header, 'LOOKUPID', FDBList[currentFDB].LookupTableID, 'Lookup Table ID'
  
  fxaddpar, header, 'FLUSHOBS', (*(OBSList).Flush)[nrFRM], 'Flush from OBS'
  fxaddpar, header, 'FLUSHFRM', (*(FRMList[currentFRM]).Flush)[nrFDB], 'Flush from FRM'
  fxaddpar, header, 'ISKIPOBS', (*(OBSList).InhibitSkip)[nrFRM], 'Inhibit Skip from OBS'
  fxaddpar, header, 'ISKIPFRM', (*(FRMList[currentFRM]).InhibitSkip)[nrFDB], 'Inhibit Skip from FRM'
  fxaddpar, header, 'TAGOBS', (*(OBSList).Tag)[nrFRM], 'Tag from OBS'
  fxaddpar, header, 'FOCUS', (*(FRMList[currentFRM]).Focus)[nrFDB], 'Focus from FRM'
  
  fxaddpar, header, 'AECNUC', (*(FRMList[currentFRM]).NUV_AEC)[nrFDB], 'AEC for NUV'
  fxaddpar, header, 'AECFUV', (*(FRMList[currentFRM]).FUV_AEC)[nrFDB], 'AEC for FUV'
  fxaddpar, header, 'AECSJI', (*(FRMList[currentFRM]).SJI_AEC)[nrFDB], 'AEC for SJI'
  
  fxaddpar, header, 'REGTOT', CRSList[currentCRS].SubRegions, 'Number of Regions'
  for i=0,CRSList[currentCRS].SubRegions-1 do begin
    number=string(i+1,format='(I1)')
    fxaddpar, header, 'ROWSTAR'+number, (*(CRSList[currentCRS]).StartRow)[i], 'Startrow for Region '+number
    fxaddpar, header, 'ROWNUM'+number, (*(CRSList[currentCRS]).NumRows)[i], 'Number of Rows for Region '+number
    fxaddpar, header, 'COLSTAR'+number, (*(CRSList[currentCRS]).StartCol)[i], 'Startcolumn for Region '+number
    fxaddpar, header, 'COLNUM'+number, (*(CRSList[currentCRS]).NumCols)[i], 'Number of Columns for Region '+number
    if type gt 0 then begin
      for pda=0,N_ELEMENTS(SpecData)-1 do begin
        if (SpecData[pda].CRSindex eq currentCRS) && (SpecData[pda].SubRegionID eq (*(CRSList[currentCRS]).SubRegionID)[i]) then begin
          fxaddpar, header, 'REGDESC'+number, SpecData[pda].name, 'Name of Region '+number
          break
        endif
      endfor
    endif
  endfor
  
  fxaddpar, header, 'SIMFILE1', sim1, 'Input 1 from FUV Simulation'
  fxaddpar, header, 'SIMFILE2', sim2, 'Input 2 from FUV Simulation'
  fxaddpar, header, 'SIMFILE3', sim3, 'Input 1 from NUV Simulation'
  fxaddpar, header, 'SIMFILE4', sim4, 'Input 2 from NUV Simulation'
  
end
